Create Or Update Prompt
curl --request PUT \
--url https://{api_endpoint}/v1/default_user_prompts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompts": [
{
"title": "<string>",
"prompt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subtitle": "<string>",
"state": "<string>"
}
]
}
'import requests
url = "https://{api_endpoint}/v1/default_user_prompts"
payload = { "prompts": [
{
"title": "<string>",
"prompt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subtitle": "<string>",
"state": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompts: [
{
title: '<string>',
prompt: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
subtitle: '<string>',
state: '<string>'
}
]
})
};
fetch('https://{api_endpoint}/v1/default_user_prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"orchestrate_id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"prompt": "<string>",
"state": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Prompts
Create Or Update Prompt
Create Or Update Prompt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
⌘I

